Getting error when running vagrant up

Hi there.

I’m trying to startup the environment for the 312 training and I’m having errors all the time. I’m at home in my work laptop which is running ZScaler. I’m having the following error when running vagrant up

    m312: Get:28 http://security.ubuntu.com trusty-security/main amd64 Packages [835 kB]
    m312: Ign https://esm.ubuntu.com trusty-infra-security/main Translation-en_US
    m312: Ign https://esm.ubuntu.com trusty-infra-security/main Translation-en
    m312: Ign https://esm.ubuntu.com trusty-infra-updates/main Translation-en_US
    m312: Get:29 http://security.ubuntu.com trusty-security/universe amd64 Packages [295 kB]
    m312: Ign https://esm.ubuntu.com trusty-infra-updates/main Translation-en
    m312: Ign http://repo.mongodb.com trusty/mongodb-enterprise/3.3/multiverse Translation-en_US
    m312: Err https://esm.ubuntu.com trusty-infra-security/main amd64 Packages
    m312:   gnutls_handshake() failed: Bad record MAC
    m312: Err https://esm.ubuntu.com trusty-infra-updates/main amd64 Packages
    m312:   gnutls_handshake() failed: Bad record MAC
    m312: Get:30 http://security.ubuntu.com trusty-security/main Translation-en [448 kB]
    m312: Ign http://repo.mongodb.com trusty/mongodb-enterprise/3.3/multiverse Translation-en
    m312: Get:31 http://security.ubuntu.com trusty-security/universe Translation-en [162 kB]
    m312: Fetched 13.1 MB in 9s (1,363 kB/s)
    m312: W
    m312: :
    m312: Failed to fetch https://esm.ubuntu.com/ubuntu/dists/trusty-infra-security/main/binary-amd64/Packages  gnutls_handshake() failed: Bad record MAC
    m312: W
    m312: :
    m312: Failed to fetch https://esm.ubuntu.com/ubuntu/dists/trusty-infra-updates/main/binary-amd64/Packages  gnutls_handshake() failed: Bad record MAC
    m312: E
    m312: :
    m312: Some index files failed to download. They have been ignored, or old ones used instead.

The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Thank you very much for your help and support in advance.

Have a great day.

Best regards,

Vinny

Hi @Vicente_Bautista_Cano

I’m not familiar with ZScaler. The operating systems supported by M312 are listed on the course’s about page and include Mac OS X 10.7+ 64-bit, Ubuntu 14.04+ 64-bit, or Windows 8+ (64-bit). The course requires one of these operating systems.

In terms of the “Bad record MAC” error message typically indicates that your SSL implementation is bad or corrupt, or that your payload has been tampered with. These are definitely local operating system issues and I’d suggest you ask your work’s IT team/group to assist in debugging these.

Kindest regards,
Eoin

Hi @Eoin_Brazil.
First of all thank you very much for your message, I really appreciate it.
ZScaler is not an OS it is a cloud built secure platform.

I will check with my work place IT team.

Thanks.

Have a great day.

Cheers.

Vinny.